/*
 * ExpressionContext.java
 *
 * Created on March 11, 2006, 6:09 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport;

import java.util.Vector;

/**
 *
 * @author gtoffoli
 */
public class ExpressionContext {
    
    
    private Vector crosstabReportElements = new Vector();
    private SubDataset subDataset = null;
    
    /** Creates a new instance of ExpressionContext */
    public ExpressionContext() {
    }

    public Vector getCrosstabReportElements() {
        return crosstabReportElements;
    }

    public void setCrosstabReportElements(Vector crosstabReportElements) {
        this.crosstabReportElements = crosstabReportElements;
    }

    public SubDataset getSubDataset() {
        return subDataset;
    }

    public void setSubDataset(SubDataset subDataset) {
        this.subDataset = subDataset;
    }
    
    public void addCrosstabReportElement(CrosstabReportElement re)
    {
        if (!this.getCrosstabReportElements().contains(re))
        {
            getCrosstabReportElements().add(re);
        }
    }
    
}
